Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class FileManager

    java.lang.Object
      com.opensymphony.xwork2.util.FileManager

    public class FileManager

extends Object

FileManager This class was brought in from oscore trunk revision 147.

Author:
  Jason Carreira Created May 7, 2003 8:44:26 PM

Nested Class Summary
`private static class` | `FileManager.FileRevision`

Field Summary
`private static Map` | `files`
`protected static boolean` | `reloadingConfigs`

Constructor Summary
`private` | `FileManager()`

Method Summary
`static boolean` | `fileNeedsReloading(String fileName)`
`static boolean` | `isReloadingConfigs()`
`static InputStream` | `loadFile(String fileName, Class clazz)` Loads opens the named file and returns the InputStream
`static InputStream` | `loadFile(URL fileUrl)` Loads opens the named file and returns the InputStream
`static void` | `setReloadingConfigs(boolean reloadingConfigs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### files

    private static Map files

### reloadingConfigs

    protected static boolean reloadingConfigs

Constructor Detail

### FileManager

    private FileManager()

Method Detail

### setReloadingConfigs

    public static void setReloadingConfigs(boolean reloadingConfigs)

### isReloadingConfigs

    public static boolean isReloadingConfigs()

### fileNeedsReloading

    public static boolean fileNeedsReloading(String fileName)

### loadFile

    public static InputStream loadFile(String fileName,
                                       Class clazz)

  Loads opens the named file and returns the InputStream

  Parameters:
    `fileName` - - the name of the file to open
  Returns:
    an InputStream of the file contents or null
  Throws:
    `IllegalArgumentException` - if there is no file with the given file name

### loadFile

    public static InputStream loadFile(URL fileUrl)

  Loads opens the named file and returns the InputStream

  Parameters:
    `fileUrl` - - the URL of the file to open
  Returns:
    an InputStream of the file contents or null
  Throws:
    `IllegalArgumentException` - if there is no file with the given file name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.